# Awesome Hugo  [![Awesome](https://awesome.re/badge-flat.svg)](https://awesome.re) [<img src="hugo-logo-wide.svg" align="right" width="250">](https://github.com/zeit/next.js)

A curated list of awesome things related to Hugo, The world's fastest framework for building websites. 

Hugo is a general-purpose website framework—written in Go—that generates static webpages.

> Websites built with Hugo are extremely fast and secure. Hugo sites can be hosted anywhere…and work well with CDNs. Hugo sites run without the need for a database or dependencies on expensive runtimes like Ruby, Python, or PHP. We think of Hugo as the ideal website creation tool with nearly instant build times, able to rebuild whenever a change is made.

— Paraphrased from ["What is Hugo"](https://gohugo.io/about/what-is-hugo/).

## Contents

- [Resources](#resources)
  - [Official](#official)
- [Tools](#tools)
- [Starters](#starters)
- [Theme Components](#theme-components)
- [Projects using Hugo](#projects-using-hugo)  
- [Articles](#articles)  
- [Gists](#gists)


## Resources


### Official

- [GitHub](https://github.com/gohugoio/hugo)
- [Twitter](https://twitter.com/GoHugoIO)
- [Website](https://gohugo.io/) 
  - [News](https://gohugo.io/news/) 
  - [Docs](https://gohugo.io/documentation/) 
  - [Themes](https://themes.gohugo.io/) 
- [Discussion Forum](https://discourse.gohugo.io/) 
- [Gitter Channel (for Hugo development discussion only)](https://gitter.im/spf13/hugo) 

    
## Tools

- [Hugo CLI](https://www.npmjs.com/package/hugo-cli)
- [Hugo Helper for Visual Studio Code](https://marketplace.visualstudio.com/items?itemName=rusnasonov.vscode-hugo) 
- [Hugo Language and Syntax Support for Visual Studio Code](https://marketplace.visualstudio.com/items?itemName=budparr.language-hugo-vscode)


## Starters

- [Docker Image for Hugo](https://github.com/cibuilds/hugo)
- [Victor Hugo (starter repo for using Webpack)](https://github.com/netlify/victor-hugo)
- [Hugo Webpack Boilerplate](https://github.com/vseventer/hugo-webpack-boilerplate)
- [Hugo + Gulp starter project](https://github.com/jbrodriguez/hugulp)
- [Hugo Starter with Gulp Asset Pipeline, SVG Icons, partials for global components, metadata, and social.](https://github.com/rdwatters/hugo-starter)
- [Atlas: Hugo boilerplate](https://github.com/indigotree/atlas) 
- [Hugo's Pipes functionality using TailwindCSS and PurgeCSS](https://github.com/budparr/hugopipes-tailwindcss)


## Theme Components

- [hugo-cloak-email](https://github.com/martignoni/hugo-cloak-email) - A Hugo theme component to cloak email adresses.


## Projects using Hugo

- [Madewithover.com](https://madewithover.com/)
- [Vote.gov](https://vote.gov/) [(repo)](https://github.com/18F/vote-gov)
- [Visit Paris Region](https://www.visitparisregion.com/en/)
- [Tomango](https://www.tomango.co.uk/) [(repo)](https://github.com/trys/tomango-2018)
- [Visual Cinnamon](http://www.visualcinnamon.com)
- [Virginia.gov](https://www.virginia.gov)
- [Tapfiliate](https://tapfiliate.com)
- [Smallmultiples](https://smallmultiples.com.au)
- [Datadoghq](https://www.datadoghq.com/) [(repo)](https://github.com/DataDog/documentation)
- [Hartwell Insurance](https://www.hartwell-insurance.com/)
- [Let's Encrypt](https://letsencrypt.org/) [(repo)](https://github.com/letsencrypt/website)
- [Brightline Initiative](https://www.brightline.org/)
- [Netlify](https://www.netlify.com/)
- [Pretty Fly FPV](https://prettyflyfpv.com)
- [Forestry.io](https://forestry.io/) [(repo)](https://github.com/forestryio/forestry.io)
- [Crossref](https://www.crossref.org/)
- [Boris FX](http://borisfx.com/)
- [1Password](https://1password.com)
- [Smashing Magazine](https://www.smashingmagazine.com/)
- [Linking Art Gallery](http://www.linkingart.gallery/)
- [Cinematt](https://cinematt.photography) [(repo)](https://github.com/matfin/cinematt)
- [Boomtown Fair](http://www.boomtownfair.co.uk/)
- [labs.usa.gov](https://labs.usa.gov/)
- [Forest Giant](https://www.forestgiant.com/)
- [eSolia](http://esolia.com/)  
- [The Webmaster](https://www.thewebmaster.com)
- [eSolia](http://esolia.com/) [(repo)](https://github.com/RickCogley/eSolia_2018)
- [Rick Cogley Live](https://live.cogley.info/) [(repo)](https://github.com/RickCogley/RCC-live)
- [Rick Cogley Central](https://rick.cogley.info/) [(repo)](https://github.com/RickCogley/RCC-Hugo2015)
- [Japan VAD Council](http://j-vad.jp) 
- [Japan PVAD Council](https://j-pvad.jp/en/)
- [mbedded.ninja](https://blog.mbedded.ninja)
- [Nozbe](https://nozbe.com)
- [Kubernetes](https://kubernetes.io/) [(repo)](https://github.com/kubernetes/website)


## Articles

- [Hugo: Beyond the Defaults](https://npf.io/2014/08/hugo-beyond-the-defaults/) - By Nate Finch.
- [6 Static Blog Generators That Aren’t Jekyll](http://www.sitepoint.com/6-static-blog-generators-arent-jekyll/) - By David Turnbull, Sitepoint.
- [Static Site Generators are Overkill](http://thecodebarbarian.com/2015/02/06/static_site_generators) - By Valeri Karpov.
- [Comparing Static Site Engines](https://youtu.be/R-fJWOO1bjE) - By Brian Rinaldi at SFHTML5.
- [Major Release for Hugo](https://github.com/spf13/hugo/releases/) - By Steve Francia.
- [Making Content Editors and Web Developers Happy Again](http://code.makery.ch/blog/making-content-editors-and-web-developers-happy/) - By Code.Makery.
- [Deploying Static Sites to CloudFront](https://jamesturk.net/posts/deploying-hugo-to-cloudfront/) - By James Turk.
- [Static Websites with Hugo on Google Cloud Storage](http://www.moxie.io/post/static-websites-with-hugo-on-google-cloud-storage/) - By Moxie Input/Output.
- [How To Use NPM As A Build Tool With Hugo - The Codestead](http://thecodestead.com/post/how-to-use-npm-as-a-build-tool-with-hugo/) - By Isaac Gregson.
- [Bleve Search for Hugo Sites](http://www.blevesearch.com/news/Site-Search/) - By Bleve.
- [Hugo on Netlify — Insanely Fast Deploys](https://www.netlify.com/blog/2015/07/30/hugo-on-netlify-insanely-fast-deploys/) - By Netlify.
- [Why did eSolia Choose Hugo? A static site generator optimized for performance](https://esolia.com/post/why-did-esolia-choose-hugo/) - By Rick Cogley, eSolia.
- [Static Site E-Commerce (part 3): Integrating Snipcart with Hugo](https://snipcart.com/blog/snipcart-hugo-integration/) - By Snipcart.
- [Static sites go all Hollywood](https://speakerdeck.com/philhawksworth/static-sites-go-all-hollywood/) - By Phil Hawksworth.
- [Hands on Experience with Hugo as a Static Site Generator](http://usersnap.com/blog/hands-on-experience-with-hugo-static-site-generator/) - By Thomas Peham, Usersnap.
- [Hugo Continuous Integration with Wercker and Bitbucket](http://www.aerobatic.com/blog/hugo-continuous-integration-with-wercker-aerobatic-and-bitbucket.html) - By Aerobatic.
- [How To Install and Use Hugo, a Static Site Generator, on Ubuntu 14.04](https://www.digitalocean.com/community/tutorials/how-to-install-and-use-hugo-a-static-site-generator-on-ubuntu-14-04/) - By Justin Ellingwood.
- [Static Website Generators Reviewed: Jekyll, Middleman, Roots, Hugo](http://www.smashingmagazine.com/2015/11/static-website-generators-jekyll-middleman-roots-hugo-review/) - By Mathias Biilmann, Smashing Magazine.
- [The World’s Greatest (Free) Static Site Builders / Generators](http://slideshow-s9.github.io/demos/staticgen.html#1) - By Vienna.html.
- [Deploy your blog to GitHubpages automatically using Hugo and Travis](http://rcoedo.com/post/hugo-static-site-generator/) - By Roman Coedo.
- [How to host Hugo static website generator on AWS Lambda](http://bezdelev.com/post/hugo-aws-lambda-static-website/) - By Ilya Bezdelev.
- [Implementing blog theme bells and whistles in Hugo: pagination, pages, related posts, and tag lists](http://justindunham.net/blog-bells-and-whistles-in-hugo/) - By Justin Dunham.
- [Developing a Static Site Generator Workflow](http://www.sitepoint.com/developing-a-static-site-generator-workflow/) - By Thomas Peham, Sitepoint.
- [Working with Hugo's Internal Partial Templates: twitter-cards](http://brendan-quinn.xyz/post/working-with-hugos-internal-partial-templates-twitter-cards/) - By Brendan Quinn.
- [Minify Hugo Generated HTML · Ratson](https://ratson.name/blog/minify-hugo-generated-html/)
- [Tips and tricks for building a theme in Hugo](https://medium.com/@jeffmcmorris/tips-and-tricks-for-building-a-theme-in-hugo-4806bdd747d7) - By Jeff McMorris.
- [Switching to Aerobatic Static Site Hosting](https://serverlesscode.com/post/aerobatic-static-site-hosting-conversion/) - By Ryan Brown, Serverless Code.
- [Leverage shortcodes in Hugo](https://jpescador.com/blog/leverage-shortcodes-in-hugo/) - By Julio Pescador.
- [A reactive serverless cms for the technology blog · Razorfish Technology Blog](http://technology.razorfish.com/2016/05/06/a-reactive-serverless-cms-for-the-technology-blog/index.html) - By Razorfish.
- [How to use Data Files in Hugo: an example](https://novelist.xyz/tech/hugo-data-files/) - By Peter Y. Chuang.
- [Considerations when converting from WordPress.com to Hugo](https://eklausmeier.wordpress.com/2016/06/13/considerations-when-converting-from-wordpress-com-to-hugo/) - By Elmar Klausmeier.
- [Limitations of Hugo's Date Format Templating](https://www.madboa.com/blog/2016/08/24/hugo-dateformat/) - By Paul Heinlein.
- [Better TeX math typesetting in Hugo](http://latkin.org/blog/2016/08/07/better-tex-math-typesetting-in-hugo/) - By Lincoln.
- [Moving to a static site](https://davidyat.es/2016/08/19/moving-to-a-static-site/) - By David Yates.
- [Convert an Existing Site into Hugo](http://whipperstacker.com/2016/09/22/convert-an-existing-site-into-hugo/) - By Katrina Owen.
- [AWS Lambda Static Site Generator Plugins - Alestic.com](https://alestic.com/2016/10/aws-static-site-generator-plugins/) - By Eric Hammond.
- [Hosting Hugo on GitLab](https://bryanklein.com/blog/hugo-site-on-gitlab/) - By Bryan Klein.
- [HugoPhotoSwipe](https://gertjanvandenburg.com/blog/hugophotoswipe/) - By Gertjan van den Burg.
- [Serve static websites with Caddy web server](https://novelist.xyz/tech/caddy-webserver/) - By Peter Y. Chuang.
- [How to show related posts in Hugo](https://novelist.xyz/tech/related-posts-in-hugo/) - By Peter Y. Chuang.
- [Choose Hugo Over Jekyll - habd.as](https://habd.as/choose-hugo-over-jekyll/) - By Josh Habdas.
- [NPM scripts for building and deploying Hugo sites](https://www.aerobatic.com/blog/hugo-npm-buildtool-setup/) - By Aerobatic.
- [NPM scripts for building and deploying Hugo sites](https://www.aerobatic.com/blog/hugo-npm-buildtool-setup/) - By Aerobatic.
- [Deploy a Hugo site to Aerobatic with CircleCI](https://www.aerobatic.com/blog/hugo-github-circleci/) - By Aerobatic.
- [Hugo dateFormat](https://gohugohq.com/howto/hugo-dateformat/) - By GoHugoHQ.
- [Them's Good Broth! | Adding Isso Comments To Hugo](https://stiobhart.net/2017-02-24-isso-comments/) - By Stíobhart Matulevicz.
- [An Example of a Static Site with a Dynamic Calendar · Raymond Camden](https://www.raymondcamden.com/2017/02/24/an-example-of-a-static-site-with-a-dynamic-calendar) - By Raymond Camden.
- [Zero to HTTP/2 with AWS and Hugo - habd.as](https://habd.as/zero-to-http-2-aws-hugo/) - By Josh Habdas.
- [How to create a first-letter indexed list](https://gohugohq.com/howto/hugo-create-first-letter-indexed-list/) - By GoHugoHQ.
- [Activity Calendar Partial](https://gohugohq.com/partials/activity-calendar-posts/) - By GoHugoHQ.
- [How to schedule posts for static site generators (Jekyll, Hugo, Phenomic etc.)](https://serverless.com/blog/static-site-post-scheduler/) - By David Wells.
- [Compare date strings in hugo](https://gohugohq.com/howto/compare-date-strings-in-hugo/) - By GoHugoHQ.
- [Installing bleeding edge Hugo + Goorgeous](https://scripter.co/installing-bleeding-edge-hugo-goorgeous/) - By Kaushal Modi.
- [Go offline! Service Worker and Hugo](https://gohugohq.com/howto/go-offline-with-service-worker/) - By gohugohq.
- [Autolinking shortcode through articles](https://gohugohq.com/partials/autolinking-shortcode-for-articles/) - By GoHugoHQ.
- [Twitter cards partials for Hugo](https://gohugohq.com/partials/twitter-cards-partials-for-hugo/) - By GoHugoHQ.
- [Enabling offline usage of a Hugo site (PWA)](http://rac.su/post/hugo/pwa/) - By Michel Racic.
- [Go static: 5 reasons to try JAMstack on your next project.](https://builtvisible.com/go-static-try-jamstack/) - By Tom Bennet, Builtvisible.
- [Dealing with version conflicts between Hugo and Netlify](https://www.adamwills.io/blog/hugo-version-issues-netlify/) - By Adam Wills.
- [Hugo.Scratch explained](https://regisphilibert.com/blog/2017/04/hugo-scratch-explained-variable/) - By Régis Philibert.
- [Hugo Easy Gallery](https://www.liwen.id.au/heg/) - By Li-Wen Yip.
- [Getting Hugo running on Netlify](https://medium.com/@richlitt/getting-hugo-running-on-netlify-947eb00a2cbd) - By Richard Littauer.
- [Hugulp, a Hugo + Gulp toolchain](https://medium.com/@juanbrodriguez/hugulp-a-hugo-gulp-toolchain-94f72ccc3577) - By Juan B. Rodriguez.
- [Replacing Disqus with GitHubComments](http://donw.io/post/github-comments/) - By Don Williamson.
- [Converting WordPress Export File to Hugo](https://eklausmeier.wordpress.com/2017/04/24/converting-wordpress-export-file-to-hugo/) - By Elmar Klausmeier.
- [Migrate from Octopress to Hugo](http://pisarenko.net/blog/2017/04/28/hugo-static-site-generator/) - By Sergey Pisarenko.
- [Creating a JSON Feed for Hugo](https://www.raymondcamden.com/2017/05/18/creating-a-json-feed-for-hugo/) - By Raymond Camden.
- [Delaying Disqus comments to save (a ton of) requests](https://blog.kulman.sk/delaying-disqus-comments-to-save-requests/) - By Igor Kulman.
- [HBuild, Test, And Deploy Statically Generated Websites With Hugo](https://circleci.com/blog/build-test-deploy-hugo-sites/) - By Ricardo Feliciano, CircleCI.
- [Migrating from Jekyll+GitHubPages to Hugo+Netlify](https://www.sarasoueidan.com/blog/jekyll-ghpages-to-hugo-netlify/) - By Sara Soueidan.
- [Deploying Hugo on Bluemix](https://dev.to/greyhoundforty/deploying-hugo-on-bluemix) - By Ryan Tiffany, dev.to.
- [Building a JAMstack site with Hugo and Azure Functions](http://conductofcode.io/post/building-a-jamstack-site-with-hugo-and-azure-functions/) - By Henrik Lau Eriksson.
- [Embed your typeform on Hugo sites](https://www.typeform.com/help/embed-typeform-hugo-sites/) - By Typeform.
- [Automating Static Website Deployment, Part 1](http://computersfearme.com/post/automate-website-updates-part1/) - By AlphaGeek.
- [A Gentle Introduction to Creating a Minimal Hugo Site](http://arunrocks.com/minimal-hugo-site-tutorial/) - By Arun Ravindran.
- [Generating Comments on Static Sites with Staticman](http://tosbourn.com/generating-comments-on-static-sites-with-staticman/) - By tosbourn.
- [Implementing a Series in Hugo](http://www.joesacher.com/blog/2017/08/03/implementing-series-in-hugo/) - By Joe Sacher.
- [Hugo Hosting with KeyCDN](https://www.keycdn.com/support/hugo-hosting/) - By KeyCDN.
- [Hugo Templates for WordPress Designers](http://blog.teamtreehouse.com/hugo-templates-wordpress-designers) - By Leon Barnard, Treehouse Blog.
- [Awesome Hugo Boilerplates](https://habd.as/awesome-hugo-boilerplates/) - By Josh Habdas.
- [Hugo and Madoko in a Custom Docker Image for GitLab CI/CD](https://bryanklein.com/blog/hugo-and-madoko-in-a-gitlab-custom-docker-image/) - By Brian Klein.
- [Notes about migrating to Hugo](http://arslan.io/2017/11/30/notes-about-migrating-to-hugo/) - By Fatih Arslan.
- [Hugo Translator](https://regisphilibert.com/blog/2017/04/hugo-go-template-translator-explained-understanding/) - By Régis Philibert.
- [Hugo + Staticman: Nested Replies and E-mail Notifications](https://networkhobo.com/2017/12/30/hugo-staticman-nested-replies-and-e-mail-notifications/) - By Dan C Williams.
- [Hugo Web Development Workflow on Windows](https://www.ashwinnarayan.com/post/hugo-windows-workflow/) - By Ashwin Narayan.
- [How to build custom Hugo pagination](https://glennmccomb.com/articles/how-to-build-custom-hugo-pagination/) - By Glenn McComb.
- [Hugo Page Resources](https://regisphilibert.com/blog/2018/01/hugo-page-resources-and-how-to-use-them/) - By Régis Philibert.
- [How to setup automatic Hugo website generation and deployment with Git](https://lobotuerto.com/blog/how-to-setup-automatic-hugo-website-generation-and-deployment-with-git/) - By Víctor Adrián.
- [Hugo vs Jekyll: Benchmarked](https://forestry.io/blog/hugo-vs-jekyll-benchmark/) - By Chris Macrae, Forestry.io.
- [Content Groups in Hugo for Google Analytics](https://brunoamaral.eu/post/content-groups-in-hugo/) - By Bruno Amaral.
- [Hugo: Leaf and Branch Bundles](https://scripter.co/hugo-leaf-and-branch-bundles/) - By Kaushal Modi.
- [Client side searching for Hugo.io with Fuse.js](https://gist.github.com/eddiewebb/735feb48f50f0ddd65ae5606a1cb41ae) - By Eddie Webb.
- [Using Python, Webtask.io, Stripe, and Hugo for charity Fundraising pages](https://www.bryanklein.com/blog/python-webtask-stripe-and-hugo-for-charity-fundraising-pages/) - By Bryan Klein.
- [Better Relationships in Hugo](https://regisphilibert.com/blog/2018/04/hugo-optmized-relashionships-with-related-content/) - By Régis Philibert.
- [Hugo Snippets and Code Examples](https://it.knightnet.org.uk/kb/hugo/hugo-snippets/) - By Julian Knight.
- [Subscription form for Hugo with FlowXO and Mailgun](http://code.krister.ee/subscription-form-for-hugo-with-flowxo-and-mailgun/) - By Krister Viirsaar.
- [Build a JSON API With Hugo's Custom Output Formats](https://forestry.io/blog/build-a-json-api-with-hugo/) - By Régis Philibert, Forestry.
- [Hugo, Python and Sheets, Oh My!](https://www.bryanklein.com/blog/hugo-python-gsheets-oh-my/) - By Bryan Klein.
- [How to move from Medium to static hosting with Jekyll or Hugo](https://clipperhouse.com/how-to-move-from-medium-to-static-hosting-with-jekyll-or-hugo/) - By Matt Sherman.
- [Enhance Your Hugo JSON API Using Custom Output Formats and Netlify Redirects](https://forestry.io/blog/hugo-json-api-part-2/) - By Régis Philibert, Forestry.io.
- [Create a blog using pre-built Serverless Components and Hugo](https://serverless.com/blog/how-to-create-blog-using-components-hugo/) - By Rupak Ganguly.
- [How to cache-bust and concatenate JS and SASS files with Hugo in 2018](https://blog.fullstackdigital.com/how-to-cache-bust-and-concatenate-js-and-sass-files-with-hugo-in-2018-9266fd3c411e) - By Ben Bozzay.
- [How to use Hugo template variables in SCSS files (in 2018)](https://blog.fullstackdigital.com/how-to-use-hugo-template-variables-in-scss-files-in-2018-b8a834accce) - By Ben Bozzay. 
- [Hugo Pipes' Revolution](https://regisphilibert.com/blog/2018/07/hugo-pipes-and-asset-processing-pipeline/) - By Régis Philibert.
- [Hugo tips: How to create author pages](https://www.netlify.com/blog/2018/07/24/hugo-tips-how-to-create-author-pages/) - By Irene Morente, Netlify.
- [Gatsby vs Hugo, a detailed comparison](https://learnitmyway.com/gatsby-vs-hugo/) - By Developer Davo.
- [Why I keep Hugo in my Repository and How I Update it with Python](https://www.bryanklein.com/blog/hugo-update-script-and-binaries-in-repository/) - By Bryan Klien.
- [How I migrated this website articles from Jekyll to Hugo](https://simpleit.rocks/golang/hugo/migrating-a-jekyll-blog-to-hugo/) - By Marcelo Canina.
- [Hugo Multilingual Part 2: Strings localization](https://regisphilibert.com/blog/2018/08/hugo-multilingual-part-2-i18n-string-localization/) - By Régis Philibert.
- [WordPress to Static Site Generator (Hugo) Migration and Deployment](https://hackernoon.com/wordpress-to-static-site-generator-hugo-migration-and-deployment-788a69b93e66) - By Phong Huynh.
- [Configure Hugo to Ingest into Elasticsearch](https://docs.bonsai.io/docs/hugo)
- [Schema Markup For Hugo](https://code.luasoftware.com/tutorials/hugo/schema-markup-for-hugo/) - By Desmond Lua.
- [Setup Hugo with GitLab CI on Ubuntu remote server](https://therandombits.com/2018/12/setup-hugo-with-gitlab-ci-on-ubuntu-remote-server/) - By M M Arif.
- [Style a markdown table with Bootstrap classes in Hugo](https://zwbetz.com/style-a-markdown-table-with-bootstrap-classes-in-hugo/) - By Zachary Betz.
- [Processing Responsive Images with Hugo](https://laurakalbag.com/processing-responsive-images-with-hugo/) - By Laura Kalbag.
- [How to add Isso comments to your site](https://therandombits.com/2018/12/how-to-add-isso-comments-to-your-site/) - By M M Arif.
- [Make a Hugo blog from scratch](https://zwbetz.com/make-a-hugo-blog-from-scratch/) - By Zachary Betz.
- [Making Hugo’s Footnotes Accessible](https://danielpost.com/articles/making-hugos-footnotes-accessible/) - By Daniel Post.

## Gists

Gists are succinct code snippets. Please only include things that are useful to many.

- [#gohugo search index with "some" stop words removed](https://gist.github.com/budparr/c09ab912d2ba184b7d962aacbecb2816)
- [Hugo zsh functions for local serving and deploying via rsync](https://gist.github.com/RickCogley/5673669a5c6e9b05070cd4c50e4bd50f)




## Contributing
Found an awesome package, article, blog, video etc.? Send me a pull request! Just follow the [guidelines](/CONTRIBUTING.md). Thank you!

---
**Check out my website [The New Dynamic](https://www.thenewdynamic.org/) or say hello on [Twitter](https://twitter.com/budparr).**

## License
[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](http://creativecommons.org/publicdomain/zero/1.0/)

